#include<bits/stdc++.h>
using namespace std;
string T,s;
int bra,brb,brst[30],m,n,r;
int main(){
    cin>>T>>s;
    n=s.size();
    for(int j=0;j<T.size();j++){
        if(T[j]=='a')m++;
    }
    r=max(m-n,r);
    r++;
    cout<<r<<endl;
    for(int j=0;j<T.size();j++){
        if((T[j]=='a')and (r>0)){
            T[j]='*';
            r--;
        }
    }
    cout<<T<<endl;
    return 0;
}